#! /bin/sh
# removes files and properties of Business Everywhere software

declare ApplicationName="GlobeTrotter Connect"
declare ApplicationId="com.option.dashboard.option"

# root privileges required
if [[ $(whoami) != "root" ]]
  then sudo -p "root password:" $0; exit
fi

# unload and remove driver and related stuff
if [[ $(kextstat -l -b com.option.driver.OptionMM) != "" ]]
  then kextunload -b com.option.driver.OptionMM
fi
if [[ $(kextstat -l -b com.option.driver.OptionQC) != "" ]]
  then kextunload -b com.option.driver.OptionQC
fi
if [[ $(kextstat -l -b com.option.driver.OptionGTEdge) != "" ]]
  then kextunload -b com.option.driver.OptionGTEdge
fi

"${0%/*}/NetworkConfiguration" remove
rm -f  "/Library/Modem Scripts/Option GlobeTrotter 3G"
rm -f  "/Library/Modem Scripts/Option GlobeTrotter GSM"
rm -fr "/System/Library/Extensions/OptionMM.kext"
rm -fr "/System/Library/Extensions/OptionGTEdge.kext"
rm -fr "/System/Library/Extensions/OptionQC.kext"

# signal kextd to update its list of available extensions
killall -HUP kextd

# remove application and its properties
# if the application has been moved search for it in the /Applications folder
if [ -d "/Applications/$ApplicationName.app" ]
  then declare ApplicationPath="/Applications/$ApplicationName.app"
  else declare ApplicationPath=\
    $(find /Applications -name "$ApplicationName.app" -print)
fi

rm -fr "$ApplicationPath"
rm -f  "/Users/*/Library/Preferences/$ApplicationId.plist"
rm -f  "/Library/Preferences/$ApplicationId.plist"
rm -fr "/Library/Receipts/$ApplicationName.pkg"

exit 0
